Name:          barcode4j
Version:       2.1.0
Release:       %mkrel 1
Summary:       A flexible generator for barcodes written in Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://barcode4j.sourceforge.net/
Source0:       http://sourceforge.net/projects/barcode4j/files/barcode4j/Barcode4J%202.1/barcode4j-2.1.0-src.tar.gz
Source1:       barcode4j-2.1.0.pom
Source2:       barcode4j-fop-ext-2.1.0.pom
Source3:       barcode4j-fop-ext-complete-2.1.0.pom
Source4:       barcode4j-light-2.1.0.pom

Source10:      barcode4j-2.1.0-script

Patch0:        barcode4j-2.1.0-build_xml.patch
#Patch1:        barcode4j-2.1.0-saxon6.patch
#Patch2:        barcode4j-2.1.0-saxon6-BarcodeStyleElement.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-io
BuildRequires: avalon-framework
BuildRequires: batik
BuildRequires: bcel5.3
BuildRequires: checkstyle
BuildRequires: fop0
BuildRequires: jdom
BuildRequires: osgi-bundle-utility
#BuildRequires: saxon
BuildRequires: saxon8
BuildRequires: saxon8-dom
BuildRequires: servletapi5
BuildRequires: xalan-j2
BuildRequires: xml-commons-apis
BuildRequires: xmlgraphics-commons

Requires:      apache-commons-cli
Requires:      avalon-framework
Requires:      batik
Requires:      fop0
Requires:      jdom
Requires:      saxon8
Requires:      saxon8-dom
Requires:      servletapi5
Requires:      xalan-j2
Requires:      xerces-j2
Requires:      xml-commons-apis
Requires:      xmlgraphics-commons

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Barcode4J is a flexible generator for barcodes written in Java.
Features:
* Extensions for Apache FOP, Xalan-J and SAXON, Servlet.
* Command-line interface.
* Output to SVG, EPS, Java2D/AWT and bitmaps.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n barcode4j-%{version}

rm -rf lib/*
ln -sf $(build-classpath checkstyle) checkstyle-all-.jar
find . -name '*.class' -exec rm -rf {} \;
%patch0 -p0
#%patch1 -p0
#%patch2 -p0

%build

%ant package
%ant javadocs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{name}.jar %{buildroot}%{_javadir}/
install -m 644 build/%{name}-fop-ext.jar %{buildroot}%{_javadir}/
install -m 644 build/%{name}-fop-ext-complete.jar %{buildroot}%{_javadir}/
install -m 644 build/%{name}-light.jar %{buildroot}%{_javadir}/
install -m 644 build/%{name}-xgc.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-%{name}-fop-ext.pom
%add_maven_depmap JPP-%{name}-fop-ext.pom %{name}-fop-ext.jar
install -pm 644 %SOURCE3 %{buildroot}%{_mavenpomdir}/JPP-%{name}-fop-ext-complete.pom
%add_maven_depmap JPP-%{name}-fop-ext-complete.pom %{name}-fop-ext-complete.jar
install -pm 644 %SOURCE4 %{buildroot}%{_mavenpomdir}/JPP-%{name}-light.pom
%add_maven_depmap JPP-%{name}-light.pom %{name}-light.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}
install -pm 644 barcode.cfg %{buildroot}%{_datadir}/%{name}/barcode.cfg

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-fop-ext-complete.jar
%{_javadir}/%{name}-fop-ext.jar
%{_javadir}/%{name}-light.jar
%{_javadir}/%{name}-xgc.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 26 2011 gil <gil> 2.1.0-1.mga2
+ Revision: 158324
- edit script
- imported package barcode4j

